PCRE2_MATCH_DATA_FREE(3)

NAME
PCRE2 - Perl-compatible regular expressions (revised API)

SYNOPSIS

#include <pcre2.h>

void pcre2_match_data_free(pcre2_match_data *match_data);

DESCRIPTION

This function frees the memory occupied by a match data block, using the memory freeing function from the general context with which it was created, or free() if that was not set.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.